--- title: "Reissue OAuth 2.0 client secret" slug: "renewal-client-secret" tags: ["Ncloud Single Sign-On"] updated: 2026-09-17T10:05:38Z published: 2026-09-17T10:05:38Z canonical: "api.ncloud-docs.com/renewal-client-secret" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Reissue OAuth 2.0 client secret Available in Classic and VPC Reissue OAuth 2.0 client secret. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/applications/{applicationId}/oauth2/secret-renewal | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `applicationId` | String | Required | Application ID - See [Get application list](/docs/en/get-applications) | ### Request example The request example is as follows: ``` curl --location --request POST 'https://sso.apigw.ntruss.com/api/v1/applications/88d2009c-****-****-****-59bf9afd5695/oauth2/secret-renewal' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `clientId` | String | - | Application client ID | | `clientSecret` | String | - | Newly issued application client secret | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "clientId" : "88d2009c-****-****-****-59bf9afd5695", "clientSecret" : "eacc185e-****-****-****-0b72e3c0331c" } ```